--- Addons.xcu	2009-01-05 00:21:04.000000000 +0100
+++ Addons.xcu	2009-11-20 12:45:37.000000000 +0100
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Addons" oor:package="org.openoffice.Office">
   <node oor:name="AddonUI">
     <node oor:name="OfficeMenuBarMerging">
@@ -184,7 +184,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -206,7 +205,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -229,7 +228,6 @@
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
               <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>            
-          <value/>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -251,7 +249,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -273,7 +271,7 @@
           <value>_self</value>
         </prop>
         <prop oor:name="Context" oor:type="xs:string">
-          <value/>
+            <value>com.sun.star.sheet.SpreadsheetDocument,com.sun.star.text.TextDocument,com.sun.star.presentation.PresentationDocument</value>
         </prop>
         <prop oor:name="Title" oor:type="xs:string">
           <value/>
@@ -291,7 +289,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/ooo2gd.png</value>
+              <value>%origin%/images/sc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_ooo2gd.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_ooo2gd.png</value>
           </prop>
         </node>
       </node>
@@ -301,7 +308,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-doc.png</value>
+              <value>%origin%/images/sc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_doc.png</value>
           </prop>
         </node>
       </node>
@@ -311,7 +327,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/download-doc.png</value>
+              <value>%origin%/images/sc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_download_doc.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_download_doc.png</value>
           </prop>
         </node>
       </node>
@@ -322,7 +346,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-zoho.png</value>
+              <value>%origin%/images/sc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_zoho.png</value>
           </prop>
         </node>
       </node>      
@@ -333,7 +365,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/download-zoho.png</value>
+              <value>%origin%/images/sc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_download_zoho.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_download_zoho.png</value>
           </prop>
         </node>
       </node>
@@ -344,7 +384,16 @@
         </prop>
         <node oor:name="UserDefinedImages">
           <prop oor:name="ImageSmallURL">
-              <value>%origin%/images/upload-webdav.png</value>
+              <value>%origin%/images/sc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageBigURL">
+            <value>%origin%/images/lc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageSmallHCURL">
+            <value>%origin%/images/sc_upload_webdav.png</value>
+          </prop>
+          <prop oor:name="ImageBigHCURL">
+            <value>%origin%/images/lc_upload_webdav.png</value>
           </prop>
         </node>
       </node>
--- BaseWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ BaseWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BaseWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- BasicIDEWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ BasicIDEWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="BasicIDEWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- CalcWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ CalcWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="CalcWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- DrawWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ DrawWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="DrawWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- ImpressWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ ImpressWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="ImpressWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- MathWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ MathWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="MathWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- META-INF/manifest.xml	2009-11-12 19:41:24.000000000 +0100
+++ META-INF/manifest.xml	2009-10-29 10:50:03.000000000 +0100
@@ -1,9 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <manifest:manifest xmlns:manifest="http://openoffice.org/2001/manifest">
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java"
-                       manifest:full-path="GDocs.jar"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="ProtocolHandler.xcu"/>
-  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data"
-                       manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.uno-component;type=Java" manifest:full-path="GDocs.jar"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ProtocolHandler.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="Addons.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="CalcWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="StartModuleWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="WriterWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BaseWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="ImpressWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="BasicIDEWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="MathWindowState.xcu"/>
+  <manifest:file-entry manifest:media-type="application/vnd.sun.star.configuration-data" manifest:full-path="DrawWindowState.xcu"/>
 </manifest:manifest>
\ No newline at end of file
--- ProtocolHandler.xcu	2008-12-28 17:18:22.000000000 +0100
+++ ProtocolHandler.xcu	2009-10-29 10:50:03.000000000 +0100
@@ -1,6 +1,5 @@
-<?xml version='1.0' encoding='UTF-8'?>
-
-<oor:component-data oor:name="ProtocolHandler" oor:package="org.openoffice.Office" xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" oor:name="ProtocolHandler" oor:package="org.openoffice.Office">
   <node oor:name="HandlerSet">
     <node oor:name="org.openoffice.gdocs.GDocs" oor:op="replace">
       <prop oor:name="Protocols" oor:type="oor:string-list">
--- StartModuleWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ StartModuleWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="StartModuleWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
--- WriterWindowState.xcu	1970-01-01 01:00:00.000000000 +0100
+++ WriterWindowState.xcu	2009-11-20 12:09:33.000000000 +0100
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<oor:component-data xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="WriterWindowState" oor:package="org.openoffice.Office.UI">
+  <node oor:name="UIElements">
+    <node oor:name="States">
+      <node oor:name="private:resource/toolbar/addon_org.openoffice.gdocs.gdocs" oor:op="replace">
+        <prop oor:name="UIName" oor:type="xs:string">
+          <value>Google Docs &amp; Zoho</value>
+        </prop>
+        <prop oor:name="Visible" oor:type="xs:boolean">
+          <value>false</value>
+        </prop>
+        <prop oor:name="Docked" oor:type="xs:boolean">
+          <value>true</value>
+        </prop>
+      </node>
+    </node>
+  </node>
+</oor:component-data>
